Bulk job tracking all job details

Prev Next
Get
/api/v1/bulk-job
Security
HTTP
Type bearer
Query parameters
timezone
string

The timezone to use for the response

status
string

Filter jobs by status. Available values are: 'ALL','SUCCESS', 'FAILED', 'INPROGRESS', 'PARTIAL_SUCCESS', 'INVALID' example: ALL

group
array of string

Filter jobs by job by it's group. Available types are: 'user', 'device'

jobType
array of string

Filter jobs by job type. Available types are: 'user_create', 'user_edit', 'device_create', 'device_edit'

from
string

The earliest date to search in jobs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2023-09-15T01:00:35+0000
to
string

The latest date to search in jobs. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2023-09-15T11:59:35+0000
sort
array of string

Sorting criteria in the format: field:asc|desc, field defaults to whenCreated defaults to DESC. Example fields are: ['whenCreated']

DefaultwhenCreated:DESC
Example[ "whenCreated:desc" ]
Responses
200

OK

Expand All
object
authorization
boolean
data
object
jobs
Array of object (DataObject)
object
count
object
failed
integer
success
integer
total
integer
jobId
integer
organization
object
id
string
level
integer
name
string
status
string
timezone
string
type
string
whenChanged
string
whenCreated
string
error_code
integer
error_message
string
error_status
boolean
Examplefalse
401

Unauthorized

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
422

Unprocessable Entity

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean